- include_tasks: facts.yaml
- include_tasks: "{{ imgplan }}.yaml"
- include_tasks: plan.yaml
- include_tasks: database.yaml
- include_tasks: upgrades.yaml
  when:
  - zp_dc is defined
  - zp_dc.resources is defined
  - zp_dc.resources[0] is defined
  - zp_dc.resources[0].spec is defined
  - >
     ((deployment_kind == 'Deployment' or (do_triggers | default(False)) == False)
      and zp_dc.resources[0].spec.template is defined
      and zp_dc.resources[0].spec.template.spec is defined
      and zp_dc.resources[0].spec.template.spec.containers is defined
      and zp_dc.resources[0].spec.template.spec.containers[0] is defined
      and zp_dc.resources[0].spec.template.spec.containers[0].image is defined
      and not (zp_dc.resources[0].spec.template.spec.containers[0].image is regex("zpush:" ~ zpush_tag)))
     or (deployment_kind == 'DeploymentConfig'
         and (do_triggers | default(False))
         and zp_dc.resources[0].spec.triggers is defined
         and zp_dc.resources[0].spec.triggers[0] is defined
         and zp_dc.resources[0].spec.triggers[0].imageChangeParams is defined
         and zp_dc.resources[0].spec.triggers[0].imageChangeParams.from is defined
         and zp_dc.resources[0].spec.triggers[0].imageChangeParams.from.name is defined
         and zp_dc.resources[0].spec.triggers[0].imageChangeParams.from.name != ("zpush:" ~ zpush_tag))
- include_tasks: deploy.yaml
- include_tasks: verify.yaml
